Next: FRV Options, Previous: FR30 Options, Up: Submodel Options [Contents][Index]

#### 3.18.13 FT32 Options

These options are defined specifically for the FT32 port.

`-msim`

  Specifies that the program will be run on the simulator. This causes an alternate runtime startup and library to be linked. You must not use this option when generating programs that will run on real hardware; you must provide your own runtime library for whatever I/O functions are needed.

`-mlra`

  Enable Local Register Allocation. This is still experimental for FT32, so by default the compiler uses standard reload.

`-mnodiv`

  Do not use div and mod instructions.